Subject: Re: new.net (was: Root Server DDoS Attack: What The Media Did Not Tell You)

From: Keith Moore <[email-masked]>
Date: Fri, 29 Nov 2002 14:37:14 -0500

> > well, it's not clear that it works well for .com.  try measuring
> > delay and reliability of queries for a large number of samples
> > sometime, and also cache effectiveness.
> 
> I guess the burden of proof is on those who argue that it doesn _not_
> work well.

The burden of proof is on those who want to change the status quo.

FWIW, I'm doing these experiments myself, and will publish the
results when I'm done in such a way that others should be able
to repeat the experiments, compare their results with mine,
and form their own conclusions. 

Of course whether DNS currently works "well" is subjective.  But 
there's a tendency to think of it as working well simply because 
we are accustomed to that level of service.

> > let's put it another way.  under the current organization if .com breaks
> > the other TLDs will still work.   if we break the root, everything fails.
> 
> Since .com was running _on_ the root-servers.net until recently
> without problems, what are we talking about?
> 
> Naturally there won't be 1 million TLDs all at once. We could start
> with a couple of hundreds. That would merely double the size of the
> root.

It's not just the size of the root that matters - the distribution
of usage (and thus locality of reference) also matters.  

The point is that if removing constraints on the root causes problems 
(and there are reasons to believe that it will) we can't easily go back
to the way things were before.

Keith

---

From: Keith Moore <[email-masked]>
Date: Fri, 29 Nov 2002 17:05:09 -0500

> For those in databases: What runs more smoothly: a few subgroups in a
> main group with millions of records, or a few thousand subgroups with
> thousands of records?

while you are asking questions, you might as well ask others: 
which scales better?  which is more failure-tolerant?

> Sure, call it a testbed, like the IDN-testbed of VeriSign.

please don't use VeriSign's abuse of DNS to justify further abuse.

Keith

---

From: Keith Moore <[email-masked]>
Date: Fri, 29 Nov 2002 17:24:43 -0500

> First target: twice as many as now.

why?  how will that improve life on the internet?